import { ImageFilter } from './ImageFilter';
export declare class Image {
    width: number;
    height: number;
    data: Uint32Array;
    constructor(width: number, height: number, data: Uint32Array);
    private getPixelIndex;
    blit(source: Image, x: number, y: number): void;
    private getJimpImage;
    applyFilter(filter: ImageFilter): Promise<Image>;
    applyXbrzUpscaling(scale?: 2 | 3 | 4 | 5 | 6): Promise<Image>;
    toFile(path: string): Promise<void>;
    toDataUrl(): Promise<string>;
}
