import { IndexedImageBase } from './IndexedImageBase';
import { Design } from '../Design';
import { ColorPalette } from '../ColorPalette';
export declare class IndexedImage extends IndexedImageBase {
    design?: Design;
    constructor(width: number, height: number, design?: Design);
    get colorPalette(): ColorPalette;
    getColorIndexAt(x: number, y: number): number;
    setColorIndexAt(x: number, y: number, value: number): void;
    private _colorIndexes;
    get colorIndexes(): Uint8Array;
    set colorIndexes(value: Uint8Array);
}
